### Method

# Shumate SymbolEvent get_source_layer

since: 1.1

#### Declaration [src]

    const char*
    shumate_symbol_event_get_source_layer (
      ShumateSymbolEvent* self
    )

#### Description [src]

Gets the name of the source layer the clicked feature is in, as named in the vector tile schema.

Available since: 1.1

Gets property | `Shumate.SymbolEvent:source-layer`

#### Return value

Type: `const char*`

The layer name.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.